> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/property-valuation-and-market/photo-labelling-api/output-interpretation.md).

# Output interpretation

An explanation and interpretation of every feature outputted in the API response.

{% hint style="info" %} <mark style="color:$danger;">**Deprecated**</mark>\ <mark style="color:$danger;">This API is deprecated and no longer recommended for new implementations. Existing integrations may continue to work. Contact Altum AI for guidance on the recommended setup.</mark>
{% endhint %}

<table><thead><tr><th width="297">Feature</th><th>Example</th><th>Explanation</th></tr></thead><tbody><tr><td>Image_Class</td><td>indoor</td><td>The basic class of the image, which will define the further categorization.</td></tr><tr><td>ConfidencePercent_Image_Class</td><td>99.2</td><td>How much confident (in %) the model is that the image belongs to the predicted image class</td></tr><tr><td>Room_Class</td><td>other_room</td><td>The room identified in the image, if the image is indoors. If the class is 'other_room', a further categorization takes place.</td></tr><tr><td>ConfidencePercent_Room_Class</td><td>96.1</td><td>How much confident (in %) the model is that the image belongs to the predicted room class</td></tr><tr><td>Room_Subclass</td><td>hall_corridor</td><td>The further categorization applied to the image, to find the room subclass, if the main room class is 'other_room'.</td></tr><tr><td>ConfidencePercent_Room_Subclass</td><td>82.16</td><td>How much confident (in %) the model is that the image belongs to the predicted room subclass</td></tr><tr><td>Scene_Class1</td><td>facade</td><td>The first major scene class identified into the image, describing the outdoor scene of the house.</td></tr><tr><td>ConfidencePercent_Scene_Class1</td><td>70.5</td><td>How much confident (in %) the model is that the image belongs to the predicted scene class</td></tr><tr><td>Scene_Class2</td><td>balcony-garden</td><td>The second major scene class identified into the image, describing the outdoor scene of the house. It is identified, if the confidence for the 1st scene class falls under 70%</td></tr><tr><td>ConfidencePercent_Scene_Class2</td><td>75.2</td><td>How much confident (in %) the model is that the image belongs also to a second scene class</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/english/property-valuation-and-market/photo-labelling-api/output-interpretation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
